/* /Components/Layout/HomeLayout.razor.rz.scp.css */
.homeStyle[b-a2nq36vixe] {
    background: linear-gradient(135deg, rgba(122, 28, 22, .95) 0%, rgba(163, 50, 36, .80) 45%, rgba(212, 90, 58, .95) 100%),
        url("/images/nowplaying.jpg") center / cover no-repeat;
    color: var(--cf-light-color);
}
/* /Components/Layout/HomeMenu.razor.rz.scp.css */
.navStyle[b-azzdyxc71n] {
    background-color: var(--cf-theme-850);
}

.nav-item[b-azzdyxc71n] {
    --bs-navbar-hover-color: var(--cf-theme-400);
    --bs-nav-link-hover-color: var(--cf-theme-400);
}

.dropdown-menu[b-azzdyxc71n]{
    background-color: var(--cf-theme-900);
}

.dropdown:has(.nav-link.active) .dropdown-toggle[b-azzdyxc71n] {
    color: var(--bs-navbar-active-color);
}
/* /Components/Layout/TopNavFooter.razor.rz.scp.css */
.footerStyle[b-pnu8orpb53] {
    background-color: var(--cf-theme-900);
}

    .footerStyle a[b-pnu8orpb53] {
        color: var(--cf-theme-200);
    }

        .footerStyle a:hover[b-pnu8orpb53] {
            color: var(--cf-theme-core);
        }

.bi[b-pnu8orpb53] {
    font-size: 1.75rem;
    padding-inline-start: .5rem;
}
/* /Components/Layout/TopNavMenu.razor.rz.scp.css */
.navStyle[b-6k71pnbz71] {
    background-color: var(--cf-theme-850);
}

.nav-item[b-6k71pnbz71] {
    --bs-navbar-hover-color: var(--cf-theme-400);
    --bs-nav-link-hover-color: var(--cf-theme-400);
}

.dropdown-menu[b-6k71pnbz71] {
    background-color: var(--cf-theme-900);
}

.dropdown:has(.nav-link.active) .dropdown-toggle[b-6k71pnbz71] {
    color: var(--bs-navbar-active-color);
}
/* /Components/Pages/Home.razor.rz.scp.css */
.pageStyle[b-v2yl7a41sq] {
    background-position: center;
    background-size: cover;
}

.blur-border[b-v2yl7a41sq] {
    filter: drop-shadow(0 0 20px rgba(255, 255, 255, 0.6));
}


.title[b-v2yl7a41sq]{
    font-family: var(--cf-title-font);
    font-size: 3rem;
    color: var(--cf-light-color);
    line-height: 3rem;
}

.subTitle[b-v2yl7a41sq]{
    font-size: 1rem;
    font-family: var(--cf-body-font);
}

.devicons[b-v2yl7a41sq]{
    font-size: 2rem;
}

@media (min-width: 992px){
    .title[b-v2yl7a41sq] {
        font-family: var(--cf-title-font);
        font-size: 3.5rem;
        color: var(--cf-light-color);
        line-height: 3rem;
    }

    .subTitle[b-v2yl7a41sq] {
        font-size: 1.5rem;
        font-family: var(--cf-body-font);
    }

    .devicons[b-v2yl7a41sq] {
        font-size: 2.5rem;
    }
}
/* /Components/Pages/MovieById.razor.rz.scp.css */
#movie-details[b-56l7zjrm92]
{
    color: var(--cf-light-color);
    background: var(--background) center center / cover no-repeat, linear-gradient(rgba(2,2,2,0.5), rgba(0,0,0,0.9));
    background-blend-mode: overlay;
}

#movie-wrapper[b-56l7zjrm92] {
    /* 
    backdrop-filter: blur(2px); 
    */
}

#move-poster[b-56l7zjrm92]
{
    border-radius: 15px;
    border-color: rgba(255, 255, 255. 0.6);
    border-width: 1px;
    max-width: 300px;
    width: 100%;
    height: auto;
}

.modal-background[b-56l7zjrm92]
{
    background-color: var(--cf-theme-900);
    color: var(--cf-light-color);
}

.modal-header button[b-56l7zjrm92]
{
    color: var(--bs-warning);
    background-color: transparent;
    border: none;
    font-size: 2rem;
}
/* /Components/UI/ActorSwiper/ActorSwiper.razor.rz.scp.css */
.swiper-container[b-0q3143tmrz] 
{
    position: relative;
}

.swiper-container button[b-0q3143tmrz] 
{
    position: absolute;
    color: var(--cf-theme-800);
    background: var(--cf-light-color);
    height: 3rem;
    width: 3rem;
    font-size: 1.5rem;
    border: solid 1px var(--cf-theme-300);
    box-shadow: 1px 2px 4px var(--cf-theme-900);
    border-radius: 50%;
    top: calc(50% - 2rem);
}

.swiper-container .nav-btn-prev[b-0q3143tmrz]
{
    left: 1rem;
}

.swiper-container .nav-btn-next[b-0q3143tmrz] 
{
    right: 1rem;
}

.swiper-content[b-0q3143tmrz] 
{
    padding: .5rem 4rem;
    scroll-behavior: smooth;
}

.swiper-content[b-0q3143tmrz]::-webkit-scrollbar
{
    height: 6px;
}

.swiper-content[b-0q3143tmrz]::-webkit-scrollbar-track 
{
    background: var(--cf-gray-300);
    border-radius: 5px;
}

.swiper-content[b-0q3143tmrz]::-webkit-scrollbar-thumb 
{
    background: var(--cf-theme-800);
    border-radius: 5px;
}

@supports not selector(::-webkit-scrollbar)
{
    .swiper-content[b-0q3143tmrz]
    {
        scrollbar-color: var(--cf-theme-800) var(--cf-gray-300);
        scrollbar-width: thin;
    }
}
/* /Components/UI/ActorSwiper/ActorSwiperItem.razor.rz.scp.css */
.actor-img[b-ispv2brsqj] 
{
    height: 8rem;
    border-radius: 50%;
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center;
}
/* /Components/UI/MovieCard.razor.rz.scp.css */
.movieCard[b-tfp8qyn4ho]{
    box-shadow: 0 4px 8px rgba(0,0,0,.1);
    transition: transform 0.2s ease-in-out
}

.movieCard:hover[b-tfp8qyn4ho]{
    transform: scale(1.07);
    z-index:99;
}

.movieCardFooter .btn[b-tfp8qyn4ho]{
    font-size: 0.9rem;
}
